/**
 * Copyright 2023 actions-toolkit authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare class Install {
    download(version: string, channel?: string): Promise<string>;
    install(toolDir: string, runDir: string, version: string, channel?: string): Promise<void>;
    private installDarwin;
    private installLinux;
    private installWindows;
    tearDown(runDir: string): Promise<void>;
    private tearDownDarwin;
    private tearDownLinux;
    private tearDownWindows;
    private downloadURL;
    private static platformOS;
    private static platformArch;
    private static colimaInstalled;
}
